<?php
/**
 * @copyright (C) 2021 - 2022 Holger Brandt IT Solutions
 * @license GPL2
*/

if(!defined('ABSPATH')){
    exit;
}

class WADA_ScriptUtils
{
    public static $basePath =  WP_PLUGIN_DIR . '/wp-admin-audit/assets/js';

    public static function loadTabs(){
        require_once(self::$basePath.'/tabs.php');
    }

    public static function loadCsvSepUtil(){
        require_once(self::$basePath.'/csv-utils.php');
        $script = WADA_Script_Utils_CSV::getScript();
        wp_add_inline_script('wada_utils_csv_script', $script);
    }

    public static function loadSmartWizard(){
        $scriptUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/js/jquery.smartWizard.js';
        $styleUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/css/smart_wizard_all.css';
        wp_enqueue_script('jquery');
        wp_enqueue_style('wada_smartwizard_style', $styleUrl);
        wp_enqueue_script('wada_smartwizard_script', $scriptUrl, array('jquery'));
    }

    public static function loadSelect2(){
        $scriptUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/js/select2.min.js';
        $styleUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/css/select2.min.css';
        wp_enqueue_script('jquery');
        wp_enqueue_style('wada_select2_style', $styleUrl);
        wp_enqueue_script('wada_select2_script', $scriptUrl, array('jquery'));
    }

    public static function loadSelectize(){
        $scriptUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/js/selectize.min.js';
        $styleUrl = trailingslashit(plugins_url()).'wp-admin-audit/assets/css/selectize.css';
        wp_enqueue_script('jquery');
        wp_enqueue_style('wada_selectize_style', $styleUrl);
        wp_enqueue_script('wada_selectize_script', $scriptUrl, array('jquery'));
    }

}